Bug 175198 - Review Request: perl-Math-Pari
Review Request: perl-Math-Pari
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT 183374 183889
  Show dependency treegraph
 
Reported: 2005-12-07 12:12 EST by Paul Howarth
Modified: 2008-06-24 12:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 02:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-12-07 12:12:45 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari-2.010702-1.src.rpm
Description:

This package is a Perl interface to the famous library PARI for numerical/
scientific/ number-theoretic calculations. It allows use of most PARI functions
as Perl functions, and (almost) seamless merging of PARI and Perl data.

Notes:

This package includes the pari library source even though that is being introduced to Fedora Extras in its own right (#169703). The rationale for this is:
(a) This package patches the library source code
(b) This package integrates very tightly with the library and may break if the library is changed underneath it
(c) Functionality is lost if built against an external PARI library (see the INSTALL file in the distribution)

This module is required by various crypto-related perl modules I intend to submit at a later date.
Comment 1 Jose Pedro Oliveira 2006-01-31 19:55:48 EST
Paul,

1) Would you mind just hardcoding the pari version? The current construct
   appears to be error prone: for example, it doesn't handle the current pari
   development version - 2.2.12 - or any other version component with more
   than 1 digit.

  If I assume the Math::Pari version as 2.021201 it will output 2.212 as
  the pari version (it should output 2.2.12).

  $ echo 2.021201 | perl -pi -e 'tr/0/./;s/\.+/./;s/\.[^.]*$//'
  2.212  

2) There is also a new version available. Could you update?

   Diff from Math-Pari-2.010702 to Math-Pari-2.010703
   http://search.cpan.org/diff?from=Math-Pari-2.010702&to=Math-Pari-2.010703

jpo
Comment 2 Paul Howarth 2006-02-01 06:03:54 EST
(In reply to comment #1)
> 1) Would you mind just hardcoding the pari version? The current construct
>    appears to be error prone: for example, it doesn't handle the current pari
>    development version - 2.2.12 - or any other version component with more
>    than 1 digit.
> 
>   If I assume the Math::Pari version as 2.021201 it will output 2.212 as
>   the pari version (it should output 2.2.12).
> 
>   $ echo 2.021201 | perl -pi -e 'tr/0/./;s/\.+/./;s/\.[^.]*$//'
>   2.212

I'd really prefer to only have to change the one version number in the spec if
possible, since (a) it makes the spec easier to maintain, and (b) it should
ensure that I'm always using the "supported" version of the pari library.

I've updated the expression, which should get it right in all cases now I think.

> 2) There is also a new version available. Could you update?
> 
>    Diff from Math-Pari-2.010702 to Math-Pari-2.010703
>    http://search.cpan.org/diff?from=Math-Pari-2.010702&to=Math-Pari-2.010703

Done:
http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari-2.010703-1.src.rpm

Spec URL unchanged.
Comment 3 Paul Howarth 2006-03-20 06:17:35 EST
Updated SRPM (new upstream version):

http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari-2.010704-1.src.rpm

Spec URL unchanged.
Comment 4 Jose Pedro Oliveira 2006-04-13 12:58:14 EDT
Paul,
Sorry for the delay. 


MD5SUMS:
c88e8dde7657098b608b07f75fbde19b  perl-Math-Pari-2.010704-1.src.rpm

0397da31fbe4f5485c4e7094c3661c5a  Math-Pari-2.010704.tar.gz
357b7a42e89e2761a5367bbcbfcca5f2  pari-2.1.7.tgz
2b9ed7df1bb67895b19aa7d195f2b692  perl-Math-Pari.spec

Good:
* Math-Pari tarball MD5 digest verified against a CPAN copy
* pari 2.1.7 tarball MD5 digest verified
* URL and Sources URLs are valid
* License verified (README file)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are OK
* Builds without problems in FC-3 and FC-5
* (Un)installs without problems in FC-3 and FC-5

NeedsWork:
* the files libPARI.dumb.pod, Math::libPARI.dumb.3pm.gz are duplicates
  of libPARI.pod, Math::libPARI.3pm.gz (ok, they have slightly different 
  formats)
  (Easy fix - just remove the *dumb* files)

Other minor notes:
* Would be nice to have Term::Gnuplot around to improve the test coverage
Comment 5 Paul Howarth 2006-04-18 05:32:46 EDT
(In reply to comment #4)
> NeedsWork:
> * the files libPARI.dumb.pod, Math::libPARI.dumb.3pm.gz are duplicates
>   of libPARI.pod, Math::libPARI.3pm.gz (ok, they have slightly different 
>   formats)
>   (Easy fix - just remove the *dumb* files)

Fixed in -2:

http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari.spec
http://www.city-fan.org/~paul/extras/perl-Math-Pari/perl-Math-Pari-2.010704-2.fc5.src.rpm

> Other minor notes:
> * Would be nice to have Term::Gnuplot around to improve the test coverage

Added to To-Do list.
Comment 6 Jose Pedro Oliveira 2006-04-18 14:17:37 EDT
APPROVED

MD5SUMS:
6b44f5a3e572896883e83cff57581fe6  perl-Math-Pari-2.010704-2.fc5.src.rpm

0397da31fbe4f5485c4e7094c3661c5a  Math-Pari-2.010704.tar.gz
357b7a42e89e2761a5367bbcbfcca5f2  pari-2.1.7.tgz
e912c8aefcc2c2aaae4daaf62441545d  perl-Math-Pari.spec

Comment 7 Paul Howarth 2006-04-19 02:56:19 EDT
Thanks for the review.

Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/7835-perl-Math-Pari-2.010704-2.fc6/

Branch requests for FC-4 and FC-5 made.
Comment 8 Paul Howarth 2008-06-23 16:08:44 EDT
Package Change Request
======================
Package Name: perl-Math-Pari
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2008-06-24 12:01:00 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.